
=== 1664prjLocale-bf.cs ===
Change Set:		prjLocale-bf
Date:			19 September 2007
Author:			Bert Freudenberg

When entering a project, switch it to current locale, rather than switching the system locale to the project's locale. Governed by preserveProjectLocale preference.

=== 1663QuickGuide14-yo.cs ===
Change Set:		QuickGuide14-yo
Date:			18 September 2007
Author:			Yoshiki Ohshima

One more place to show wait cursor.

=== 1662QuickGuide13-yo.cs ===
Change Set:		QuickGuide13-yo
Date:			18 September 2007
Author:			Yoshiki Ohshima

Show wait cursor and show the pageNumbers

=== 1661RelResources-yo.cs ===
Change Set:		RelResources-yo
Date:			18 September 2007
Author:			Yoshiki Ohshima

SugarLauncher>>active: releases hardware resources when another activity is starting. 

=== 1660QuickGuide12-yo.cs ===

=== 1659QuickGuide11-yo.cs ===

=== 1658Repaint-rot3-tk.cs ===
Change Set:		Repaint-rot3-tk
Date:			17 September 2007
Author:			Ted Kaehler

For un-rotated sketches, I introduced a bug in their position.  Here is a fix.

=== 1657QuickGuide10-yo.cs ===

=== 1656QuickGuide9-yo.cs ===
Change Set:		QuickGuide9-yo
Date:			17 September 2007
Author:			Yoshiki Ohshima

Allow to choose a guide from a menu.

=== 1655Paint-bulletproof-tk.cs ===
Change Set:		Paint-bulletproof-tk
Date:			17 September 2007
Author:			Ted Kaehler

One more piece of safety code in case the user turns the page of a Guide while painting.

=== 1654Repaint-rot2-tk.cs ===
Change Set:		repaint-rot2-tk
Date:			17 September 2007
Author:			Ted Kaehler

After repainting, leave the top left of the object where is was before.  This is wrong if the user added or removed paint area from the top left.  I am not able to get this code right.  It is compilcated.  In a highly rotated and scaled painting, the topLeft can be at any place around the outside of the painting in the unrotated version  More info needs to be stored -- such as the current topLeft, but  in unrotated coordinates.

=== 1653thumbAlpha-bf.cs ===
Change Set:		thumbAlpha-bf
Date:			17 September 2007
Author:			Bert Freudenberg

#3332: Fix alpha in preview

=== 1652gettextSorted-tak.cs ===
Change Set:		gettextSorted-tak
Date:			16 September 2007
Author:			Takashi Yamamiya

Sort keyword entry in gettext files, and misc utility method for update process.

- Sort keyword in gettext file.
- Add X-Etoys-Category: header.


=== 1651helpFlapTab-sw.cs ===
Change Set:		helpFlapTab-sw
Date:			15 September 2007
Author:			Scott Wallace

Make the textual help flaps clear the sugar bar.
Constrain guides-flap tab movement.
React properly to screen-size change.

Also (unrelated) 
- fix up wording of an updating menu item.
- avoid the despicable use of someInstance in a recent update.

=== 1650QuickGuide8-yo.cs ===
Change Set:		QuickGuide8-yo
Date:			14 September 2007
Author:			Yoshiki Ohshima

Fix the layer of help again so that halo shows up.

=== 1649RelBldrFix-yo.cs ===
Change Set:		RelBldrFix-yo
Date:			14 September 2007
Author:			Yoshiki Ohshima

A fix of typo and initialization of default thumbnail.

=== 1648Repaint-close-tk.cs ===
Change Set:		Repaint-close-tk
Date:			14 September 2007
Author:			Ted Kaehler

If you repaint, and then go to another page of a BookMorph, the object will not be visible.  This bullet-proofs the code that tries to close the paintBox when the user tosses a painting that is not present.  

I thought I fixed it so that the click on the 'next' button of the BookMorph would end painting, but this does not seem to work now.

=== 1647QuickGuide7-yo.cs ===
Change Set:		QuickGuide7-yo
Date:			14 September 2007
Author:			Yoshiki Ohshima

Fixes the halo problem one more time.

I turned off wantsHaloFromClick during the debugging, but forgot to uncomment-out the line.

=== 1646setActive-bf.cs ===
Change Set:		setActive-bf
Date:			15 September 2007
Author:			Bert Freudenberg

DBus method set_active() changed to SetActive()

=== 1645prjKeepFix2-bf.cs ===
Change Set:		prjKeepFix2-bf
Date:			14 September 2007
Author:			Bert Freudenberg

Typo in previous fix

=== 1644ColoPickerSize-tak.cs ===
Change Set:		ColoPickerSize-tak
Date:			14 September 2007
Author:			Takashi Yamamiya

Color picker's buttons become larger.

=== 1643QuickGuide6-yo.cs ===
Change Set:		QuickGuide6-yo
Date:			14 September 2007
Author:			Yoshiki Ohshima

Follow some intelligent ordering.

=== 1642QuickGuide5-yo.cs ===

=== 1641prjKeepFix-bf.cs ===
Change Set:		prjKeepFix-bf
Date:			14 September 2007
Author:			Bert Freudenberg

We were creating too many journal entries

=== 1640Repaint-rot-tk.cs ===
Change Set:		Repaint-rot-tk
Date:			14 September 2007
Author:			Ted Kaehler

Repaint a rotated and scaled sketchMorph.  When you keep the changes, it used to place the sketch at a different place (top left of the screen).  

Now try to place it at the original location.  Not perfect yet, but as close as I can get with my present level of understanding.

=== 1639FlapMargin-yo.cs ===
Change Set:		FlapMargin-yo
Date:			14 September 2007
Author:			Yoshiki Ohshima

Add a variable to control the location of referent.

#spanWorld was rigid about the positioning of its referent.  referentMargin variable is used to pad the space around referent.

=== 1638balloonTransl-bf.cs ===
Change Set:		balloonTransl-bf
Date:			14 September 2007
Author:			Bert Freudenberg

Make initial balloons translatable

=== 1637gettextSpace-bf.cs ===
Change Set:		gettextSpace-bf
Date:			14 September 2007
Author:			Bert Freudenberg

Track #3452: replace space with underscore in .po filenames

=== 1636BalloonsNewProj-tk.cs ===

=== 1635NewSavingFeedback-tak.cs ===
Change Set:		DifferentSavingFeedback-tak
Date:			13 September 2007
Author:			Based on Takashi's idea, written by Yoshiki Ohshima

Python friendly feedback while saving.

=== 1634SugarNav16-yo.cs ===

=== 1633NebraskaTransform-yo.cs ===
Change Set:		NebraskaTransform-yo
Date:			13 September 2007
Author:			Yoshiki Ohshima

Send float, not fraction over the net.

=== 1632ViewerLineFeedback-kfr.cs ===
Change Set:		ViewerLineFeedback-kfr
Date:			13 September 2007
Author:			Karl Ramberg

The Viewer feedback rectangle was showing the wrong height.

=== 1631BalloonHelpWording-yo.cs ===
Change Set:		BalloonHelpWording-yo
Date:			13 September 2007
Author:			Yoshiki Ohshima

Second round for balllon help wording.

=== 1630FeedbackWhileSaving-yo.cs ===
Change Set:		FeedbackWhileSaving-yo
Date:			13 September 2007
Author:			Yoshiki Ohshima

Give better feedback while automatically saving.

=== 1629SugarNav15-yo.cs ===
Change Set:		SugarNav15-yo
Date:			12 September 2007
Author:			Yoshiki Ohshima

Change buttons in the SugarBar.

The  share button probably should have 'share with' field, and keep should have the name.


=== 1628startFix2-bf.cs ===
Change Set:		startFix2-bf
Date:			13 September 2007
Author:			Bert Freudenberg

Only enter launcher if no script given on cmd line.

=== 1627startFix-bf.cs ===
Change Set:		startFix-bf
Date:			13 September 2007
Author:			Bert Freudenberg

On startup, enter Launcher project if no other project supplied.

=== 1626FontNameGlitch-yo.cs ===
Change Set:		FontNameGlitch-yo
Date:			12 September 2007
Author:			Yoshiki Ohshima

Fix a sort of typo in the list of font names.

=== 1625HelpInHalo-yo.cs ===
Change Set:		HelpInHalo-yo
Date:			12 September 2007
Author:			Yoshiki Ohshima

Allows a morph in help books.

=== 1624ClickHaloProperty-yo.cs ===
Change Set:		ClickHaloProperty-yo
Date:			12 September 2007
Author:			Yoshiki Ohshima

Enable a way to customize wantsHaloFromClick.

=== 1623BroomSave2-yo.cs ===
Change Set:		BroomSave2-yo
Date:			12 September 2007
Author:			Yoshiki Ohshima

There was one more place to restore the filter variable.

=== 1622fontFix-sw.cs ===
Change Set:		fontFix-sw
Date:			11 September 2007
Author:			Scott Wallace

Disenfranchise two items from the 'standard system fonts' choice menu, one whose underlying support is absent from the etoys2.1 stream, and another which no longer was working.

=== 1621NebraskaFontDecode-yo.cs ===
Change Set:		NebraskaFontDecode-yo
Date:			11 September 2007
Author:			Yoshiki Ohshima

Yet another patch to fix the font transmission problem in Nebraska.

=== 1620NebraskaSep11-yo.cs ===
Change Set:		NebraskaSep11-yo
Date:			11 September 2007
Author:			Yoshiki Ohshima

Make Nebraska sharing work on non-IPv6 environment, and fix the color problem.

=== 1619TempInTextual-yo.cs ===
Change Set:		TempInTextual-yo
Date:			11 September 2007
Author:			Yoshiki Ohshima

Support saving a textually coded script with temporaries into the S-expression format.

=== 1618BookColor-tak.cs ===
Change Set:		BookColor-tak
Date:			11 September 2007
Author:			Takashi Yamamiya

It changes the default color of BookMorph and its icon to white as Yoshiki's request.

=== 1617initialProjects-yo.cs ===
Change Set:		initialProjects-yo
Date:			11 September 2007
Author:			Yoshiki Ohshima

Building initial screen with initial projects.

=== 1616NewProjWithBalloon2-yo.cs ===
Change Set:		NewProjWithBalloon2-yo
Date:			11 September 2007
Author:			Yoshiki Ohshima

BalloonMorph can handle arbitrary morph.

Also a comment in SugarNavigatorBar is fixed.

=== 1615NewProjWithBalloon-yo.cs ===
Change Set:		NewProjWithBalloon-yo
Date:			11 September 2007
Author:			Yoshiki Ohshima

A mechanism to put up balloon helps upon entering a new project.

=== 1614quitFix-bf.cs ===
Change Set:		quitFix-bf
Date:			11 September 2007
Author:			Bert Freudenberg

Ensure we quit even if project saving fails. Log an error in that case.

=== 1613keepFix-bf.cs ===
Change Set:		keepFix-bf
Date:			11 September 2007
Author:			Bert Freudenberg

Do auto-save on startup

=== 1612QuickGuide4-yo.cs ===
Change Set:		QuickGuide4-yo
Date:			10 September 2007
Author:			Yoshiki Ohshima

Compress guide data.

=== 1611QuickGuide3-yo.cs ===
Change Set:		QuickGuide3-yo
Date:			10 September 2007
Author:			Yoshiki Ohshima

A new version of Quick Guides.

=== 1610penTrailGraphic-sw.cs ===
Change Set:		penTrailGraphic-sw
Date:			10 September 2007
Author:			Scott Wallace

Makes the graphic of a playfield's pen trails accessible for scripting through the viewer, as a slot of PasteUpMorph.  From the penTrailGraphic entry in the viewer, one can also directly obtain a new SketchMorph whose picture is the playfield's current pen trails.

=== 1609objCatAdjustments-sw.cs ===
Change Set:		objCatAdjustments-sw
Date:			10 September 2007
Author:			Scott Wallace

Some recategorizing and renamings of objects-catalog and supplies-bin entries as per consultations with Kathleen Harness.
'Watch' renamed 'Clock'; former 'Clock' renamed 'Digital Clock'.
The 'Press Me'  Button is removed from the Supplies bin and from the Basic category of the objects catalog.
For the moment, Triangle is retained as a separate entity, though we are not unanimously in favor of this so this could change.
A PolygonMorph configured as a curve is now used for the Curve item (i.e. CurveMorph is basically now disenfranchised.)
Compromised icons in the objects catalog are restored.

=== 1608eToyButtonFont-sw.cs ===
Change Set:		eToyButtonFont-sw
Date:			10 September 2007
Author:			Scott Wallace

Add separate system-font preferences specifically for etoys buttons and for etoys textual code, thus allowing non-etoy buttons and code in the IDE to be governed by non-competing conventions; this helps the IDE and the etoy environment co-exist better with regard to fonts.

=== 1607constantTileVis-sw.cs ===
Change Set:		constantTileVis-sw
Date:			9 September 2007
Author:			Scott Wallace

Make the numeric-constant tile in the gold box visible again.

=== 1606BroomSave-yo.cs ===
Change Set:		BroomSave-yo
Date:			8 September 2007
Author:			Yoshiki Ohshima

BroomMorphs can be saved in a project now.

filter instVar used to hold onto a block and it prevented the saving.

=== 1605trimReleaseBuilder-tak.cs ===
Change Set:		trimReleaseBuilder-tak
Date:			7 September 2007
Author:			Takashi Yamamiya

Remove some projects in the image, and trim verbose messages.
- Remove DemonCastle.pr and Welcome.pr in the release image.
- Remove too much inform in release process to keep it simple, stupid.

=== 1604EmptyConditional-yo.cs ===
Change Set:		EmptyConditional-yo
Date:			7 September 2007
Author:			Yoshiki Ohshima

Make Sexp form work when testPart is empty.

=== 1603SISSFuncTiles-yo.cs ===
Change Set:		SISSFuncTiles-yo
Date:			7 September 2007
Author:			Yoshiki Ohshima

Make FunctionTiles work with SISS file format.

=== 1602keepPrj-bf.cs ===
Change Set:		keepPrj-bf
Date:			6 September 2007
Author:			Bert Freudenberg

Update the current project in journal on close, save copy on keep button press.

=== 1601initialBalloonHelp-yo.cs ===
Change Set:		initialBalloonHelp-yo
Date:			7 September 2007
Author:			Yoshiki Ohshima

For the initial project, this changeset adds explaination on where to start.

Based on Ted's idea, this changeset add two balloon helps (or any morphs) in a baloon help.  For the future, you might want to add some interactive elements... But that will require some rework on the baloon help architecture.

=== 1600flapFix-bf.cs ===
Change Set:		flapFix-bf
Date:			6 September 2007
Author:			Bert Freudenberg

Fix a DNU when there is no current SugarNavBar instance

=== 1599Repaint-size-tk.cs ===
Change Set:		Repaint-size-tk
Date:			6 September 2007
Author:			Ted Kaehler

Bug from Kathleen Harness:  If a SketchMorph is shrunk down to a small size, and you repaint, the original form can be cut off by the painting area.  Also, when done painting, the player moves to the top left of the painting area.

Fixed by using the correct rectangles.

=== 1598helpIcon2-tak.cs ===
Change Set:		helpIcon2-tak
Date:			5 September 2007
Author:			Takashi Yamamiya

Better color of help icon.

=== 1597RelBuilderForSqLand-yo.cs ===
Change Set:		RelBuilderForSqLand-yo
Date:			4 September 2007
Author:			Yoshiki Ohshima

A release builder setting for a non-OLPC release.

It requires some refactoring.  The common methods should be pushed up to a base class and OLPC and Squeakland be different subclasses.  But, so far, this is the way it is.



=== 1596helpIcon-tak.cs ===
Change Set:		helpIcon-tak
Date:			5 September 2007
Author:			Takashi Yamamiya

An icon for Etoys Quick Guide.

BUG: Despite of Yoshiki's advise, border color of the icon is slight bright.
Original form was #A8A8A8 but it is changed to  #B8B8B8 for some reason.


=== 1595nonSugarSuppliesTab2-yo.cs ===
Change Set:		nonSugarSuppliesTab-yo
Date:			4 September 2007
Author:			Yoshiki Ohshima

Make Red old Supplies tab show when sugarNavigator is false.

Make sure that it clings to the bottom.

=== 1594nonSugarSuppliesTab-yo.cs ===
Change Set:		nonSugarSuppliesTab-yo
Date:			4 September 2007
Author:			Yoshiki Ohshima

Make Red old Supplies tab show when sugarNavigator is false.

=== 1593tabsClearSugarBar-sw.cs ===
Change Set:		tabsClearSugarBar-sw
Date:			4 September 2007
Author:			Scott Wallace

In lining up flap-tabs along the left edge of the screen, start *below* the sugar-nav-bar if the sugarNavigator preference is on.

=== 1592redSuppliesInEvtTh-sw.cs ===
Change Set:		redSuppliesInEvtTh-sw-sw
Date:			4 September 2007
Author:			Scott Wallace

Position the supplies tab in non-sugar evt theatre properly.  Requires a change to the newSuppliesFlapFromQuads:positioning: method from Yoshiki before this all comes together...

=== 1591jpegExt-bf.cs ===
Change Set:		jpegExt-bf
Date:			4 September 2007
Author:			Bert Freudenberg

Add JPE as supported jpeg extension as workaround for issues 3163 and 3164

=== 1590noInteractionSaving-yo.cs ===
Change Set:		noInteractionSaving
Date:			4 September 2007
Author:			Yoshiki Ohshima

Add a way to save a project without any interaction.  Also, remove the menu bar from the generated thumbnail.

=== 1589stickyGuides-sw.cs ===
Change Set:		stickyGuides-sw
Date:			4 September 2007
Author:			Scott Wallace

Make the Guides cards in the Help flap be sticky.

=== 1588veraSansForEtoys-tak.cs ===
Change Set:		veraSansForEtoys-tak
Date:			4 September 2007
Author:			Takashi Yamamiya

Choose BitstreamVeraSans for Etoys.

=== 1587flexibleEtoysFont-tak.cs ===
Change Set:		flexibleEtoysFont-tak
Date:			4 September 2007
Author:			Takashi Yamamiya

Makes tile and viewer layout to fit with various font sizes.


=== 1586moreRotationFixes-sw.cs ===
Change Set:		moreRotationFixes-sw
Date:			3 September 2007
Author:			Scott Wallace

Fixes two more bugs arising from morph rotation:

(1)  The send-to-back menu item in the halo menu did not work if the sendee was rotated.
(2)  The menu title of a rotated morph sometimes did not reflect the object's name (if the object had beeen renamed while rotated.)

=== 1585littleOops-sw.cs ===
Change Set:		littleOops-sw
Date:			3 September 2007
Author:			Scott Wallace

Removes a snippet of debugging code inadvertently lingering in update 1580sugarSupplies..

=== 1584evtTheatreSugarFlaps-sw.cs ===
Change Set:		evtTheatreSugarFlaps-sw
Date:			3 September 2007
Author:			Scott Wallace

Complete the porting of sugar-nav-bar and sugar-supplies-bin changes in the outer UI to the flaps used on the edge of an event theatre.

=== 1583fixDupHelpMsg-sw.cs ===
Change Set:		fixDupHelpMsg-sw
Date:			31 August 2007
Author:			Scott Wallace

Fix the help message for the green 'duplicate' halo handle so that it doesn't mislead about siblings when that's not an option.

=== 1582sugarNavsViewer-sw.cs ===
Change Set:		sugarNavsViewer-sw
Date:			1 September 2007
Author:			Scott Wallace

Make some of the sugar navigator-bar menu items available in its viewer.

=== 1581noAutoFlap-sw.cs ===
Change Set:		noAutoFlap-sw
Date:			31 August 2007
Author:			Scott Wallace

Stop automatically putting up help-flaps for recording-controls, event theatre, and event roll.

=== 1580sugarSupplies-sw.cs ===
Change Set:		sugarSupplies-sw
Date:			3 Septembert 2007
Author:			Scott Wallace

Special buttons for controlling the supplies flap (which now has a 'solid' tab for resizing) and the flap accommodating the QuickGuide.  Hitting these buttons toggles the corresponding flap open or closed.

=== 1579scriptorHeaderLook-sw.cs ===
Change Set:		scriptorHeaderLook-sw
Date:			28 August 2007
Author:			Scott Wallace

Proposed tweaks to the scriptor header:
Show the script-name in a tile-colored box.
Restore space-fill for the header row, so that the dark green runs all the way to the right.  Dark green would now be synonymnous with you-can-drag-the-scriptor-from-here.

=== 1578variableSpacer-sw.cs ===
Change Set:		variableSpacer-sw
Date:			2 September 2007
Author:			Scott Wallace

Adds a generic variable transparent spacer that is halo-shy.

=== 1577chooseGraphicFix-sw.cs ===
Change Set:		chooseGraphicFix-sw
Date:			2 September 2007
Author:			Scott Wallace

Fixes the bug that a second request for 'choose new graphic' for a sketchMorph for which a graphical-menu was already put up (in place of the original sketch) would generate an error.  Thanks to Kathleen Harness for reporting the bug.

=== 1576sugarBtnBorder-yo.cs ===
Change Set:		sugarBtnBorder-yo
Date:			31 August 2007
Author:			Yoshiki Ohshima

Fix the background color problem introduced by the canvas tranclucent change.

=== 1575QuickGuide2-yo.cs ===
Change Set:		QuickGuide2-yo
Date:			31 August 2007
Author:			Yoshiki Ohshima

Remove player in the IndexPage prototype.

=== 1574WindowEvents-JMM-bf.cs ===
Change Set:		WindowEvents-JMM-bf
Date:			30 August 2007
Author:			John McIntosh, Bert Freudenberg

Add WindowEvent handling, based on JMM's Ffenestri-b-4-Events-Morphic.1.cs. WindowEvents are dispatched to the World. The #windowClose event quits the image after showing a confirmation. This can be intercepted by setting a global windowEventHandler on the World.

=== 1573baloonWording-yo.cs ===
Change Set:		baloonWording-yo
Date:			30 August 2007
Author:			Yoshiki Ohshima

Change the wording in baloon help for the supplies tab.

=== 1572fixAlphaInThumb-yo.cs ===
Change Set:		fixAlphaInThumb-yo
Date:			30 August 2007
Author:			Yoshiki Ohshima

fix alpha channel of thumbnails.

=== 1571QuickGuide1-yo.cs ===
Change Set:		QuickGuide1-yo
Date:			30 August 2007
Author:			Yoshiki Ohshima

First cut of quick guide index viewer system.



=== 1570FixInspectProps-sw-yo.cs ===
Change Set:		FixInspectProperty-sw-yo
Date:			29 August 2007
Author:			Yoshiki Ohshima

Fixes inspect property in the debug menu.

=== 1569OLPCDisplayCopy-yo.cs ===
Change Set:		OLPCDisplayCopy-yo
Date:			29 August 2007
Author:			Yoshiki Ohshima

Copy shouldn't be made for the display.

=== 1568player-ref-tk.cs ===
Change Set:		player-ref-tk
Date:			27 August 2007
Author:			Ted Kaehler

Fixes bug that prevented the Revert feature of bookmorphs from working.  The test for replacing literals in methods in Players in DeepCopier>>mapUniClasses was too strict.  

Factored this code out into a separate method.

To revive old Projects where Revert does not work, get expanded book controls, and choose 'Save entire book for later revert'.

When a Project file on the disk gets bigger and bigger, it is usually because Revert is making many new Player classes, and they are staying around.  To clean a project, execute this:

Player abandonUnnecessaryUniclasses.
Player freeUnreferencedSubclasses.


=== 1567BookIcon-tak.cs ===
Change Set:		icon
Date:			22 August 2007
Author:			Takashi Yamamiya

Better next and previous button for BookMorph.



=== 1566safeFailDbus-yo.cs ===
Change Set:		safeFailDbus-yo
Date:			21 August 2007
Author:			Yoshiki Ohshima

Ignore error when the VM doesn't have DBus plugin.

=== 1565transformRestore-sw.cs ===
Change Set:		transformRestore-sw
Date:			21 August 2007
Author:			Scott Wallace

Restore the change of 1552TransformFix.

=== 1564projectViewIssues-sw.cs ===
Change Set:		projectViewIssues-sw
Date:			17 August 2007
Author:			Scott Wallace

TRAC 2888:  Makes project-view icons obey the acceptDrops flag governed in the halo menu.
Clean up wording of project-view dismiss interactions.

This addresses the issue that often it is quite inconvenient and inappropriate for a project thumbnail to accept such drops.  By default project-views will, by default, accept drops, but this provides a way that the author of a project can control whether or not drops are accepted.

=== 1563picker-yo-sw.cs ===
Change Set:		picker-yo-sw
Date:			17 August 2007
Author:			Yoshiki Oshima, Scott Wallace

TRAC 2831:  Remove all uses of Sensor in color-picking, thus allowing event-replays of modal color picking to work.

The approach is to replace all those references with references to the active hand, which then *does* play nicely with event recordings.

A new inst var is added to the Hand to enable all needed distinctions between modal and nonmodal use to be enforced.



=== 1562noEmptyMenus-sw.cs ===
Change Set:		noEmptyMenus-sw
Date:			16 August 2007
Author:			Scott Wallace

TRAC 2808:  Don't show a menu icon in a viewer for a slot/variable which would have no menu items to offer in such a menu.

=== 1561fullScreenBook-sw.cs ===
Change Set:		fullScreenBook-sw
Date:			14 August 2007
Author:			Scott Wallace

TRAC 2825:  When exiting full-screen mode of a BookMorph, restore the original position of the book.
Also, make the enter/exit-full-screen items available in the main Book menu (formerly only avail in halo menu)

=== 1560evtRecorderItems-sw.cs ===
Change Set:		evtRecorderItems-sw
Date:			17 August 2007
Author:			Scott Wallace

TRAC 2830:  Remove the old EventRecorder from the Objects catalog.

Also Correct the spelling of 'button' in an EventRecorder prompt.


=== 1559editBalloonText-sw.cs ===
Change Set:		editBalloonText-sw
Date:			16 August 2007
Author:			Scott Wallace

TRAC 2826 - Move the edit-balloon-text command from the debug menu to the extras menu, thus making it available to all users.  Formerly it had only been available to users who had the eToyFriendly flag turned off.

=== 1558bookControls-sw.cs ===
Change Set:		bookControls-sw
Date:			17 August 2007
Author:			Scott Wallace

TRAC 2820:  Add an option allowing book controls to appear at top *or* bottom of the book; the option is governed by a new item in the main book menu at the center of its own control panel.  Make items governing location, shortness, and visibility of the book controls available both in the book's viewer and in the toggle section of the main book menu.

=== 1557arrowPointingUp-sw.cs ===
Change Set:		arrowPointingUp-sw
Date:			16 August 2007
Author:			Scott Wallace

TRAC 2867 - Make the arrow obtained from the objects catalog start out life pointing upward and with a heading of 0 to match.

=== 1556gettextUtils-tak.cs ===
Change Set:		gettextUtils-tak
Date:			16 August 2007
Author:			Takashi Yamamiya

Verify and export all gettext files.

GetTextExporter2 exportAll. 'Export all .po and .pot files'
GetTextExporter2 verifyExport. 'Verify the exporter'
GetTextExporter2 verifyMsgID: (LocaleID isoString: 'test-US'. 'Same without file I/O'


=== 1555TransWorldMenu-KR.cs ===
Change Set:		TransWorldMenu-KR
Date:			16 August 2007
Author:			Korakurider

make WorldMenu translatable

=== 1554transformRevert-sw.cs ===
Change Set:		transformRevert-sw
Date:			14 August 2007
Author:			Scott Wallace

Revert the change in 1552TransformFix, at least for the time being.

=== 1553TransScriptor-KR.cs ===
Change Set:		transGoldBox-KR
Date:			12 August 2007
Author:			Korakurider

translation stuff for scriptor menu/goldbox

=== 1552TransformFix-ar.cs ===
Change Set:		TransformFix-ar
Date:			10 August 2007
Author:			Andreas Raab

A small fix for FormCanvas' transform methods due to the fact that WarpBlt wants to know its sourceForm before setting the cellSize

=== 1551useGetTextnoop2-KR.cs ===
Change Set:		useGetTextnoop2-KR
Date:			12 August 2007
Author:			Korakurider

apply #translatedNoop to bunch of classes for prototypes in flap

=== 1550pickerForRotated-sw.cs ===
Change Set:		pickerForRotated-sw
Date:			12 August 2007
Author:			Scott Wallace

Position the modal color-picker properly on rotated objects.

=== 1549sugarTheatre-sw.cs ===
Change Set:		sugarTheatre-sw
Date:			10 August 2007
Author:			Scott Wallace

Sugarizing the event theatre flaps.

=== 1548pageTurnFont-sw.cs ===
Change Set:		pageTurnFont-sw
Date:			12 August 2007
Author:			Scott Wallace

Use the etoy font for constructing the page-turn buttons.

=== 1547collapseBelowSugar-sw.cs ===
Change Set:		collapseBelowSugar-sw
Date:			11 August 2007
Author:			Scott Wallace

Exclude the area of the Sugar bar from the space considered suitable for locating collapsed window-tabs when the #sugarNavigator preference is true.

=== 1546releaseBuilderOLPC-tak.cs ===
Change Set:		releaseBuilderOLPC-tak
Date:			10 August 2007
Author:			Takashi Yamamiya

Cleanup configure script.

ReleaseBuilderSqueakland new prepareReleaseImageForOLPC.

- prepareReleaseImageForOLPC updates all changes, shrinks, and makes initial screen.
- Rename buildInitialScreenForOLPC2 to buildInitialScreenForOLPC.
- Remove language specific setting.
- Remove button building script for Welcome.pr.


=== 1545unmatchedMouseDown-sw.cs ===
Change Set:		unmatchedMouseDown-sw
Date:			9 August 2007
Author:			Scott Wallace

If one halts the creation of an event-recording by hitting ESC while a mouse button is down, we now synthesize a bracketing mouse-up, to avoid some odd consequences of playback ending with the playback-hand's mouse button nominally still down.

=== 1544WsFixupAug9-yo.cs ===
Change Set:		WsFixupAug9-yo
Date:			9 August 2007
Author:			Yoshiki Ohshima

Resolve conflicts from WsRangeFinder-ka.


=== 1543WsRangeFinder-ka.cs ===
Change Set:		WsRangeFinder-ka
Date:			1 June 2007
Author:			Kazuhiro Abe

Enable to use a range finder (GP2D12) with a World-Stethoscope.
And fixed some miner bugs.

=== 1542sibsOfNonSketches-sw.cs ===
Change Set:		sibsOfNonSketches-sw
Date:			9 August 2007
Author:			Scott Wallace

Don't offer the 'make all my siblings look like me' item in the siblings submenu unless the morph is a SkechMorph

=== 1541typo-sw.cs ===
Change Set:		typo-sw
Date:			9 August 2007
Author:			Scott Wallace

Fixes a typo in the help-text for the sound-recorder, and uses the opportunity to flesh out more detail in the message.

=== 1540getEntireFile-sw.cs ===
Change Set:		getEntireFile-sw
Date:			17 July 2007
Author:			Scott Wallace

An interim workaround -- provide a null backstop method for RemoteFileStream>>converter: so that the getEntireFile command will work again for a remote file.

=== 1539SemaphoreCritical-ar.cs ===
Change Set:		SemaphoreCritical-ar
Date:			27 July 2007
Author:			Andreas Raab

Fixes improper handling of Semaphore>>critical:

=== 1538SafeDelay2-ar.cs ===
Change Set:		SafeDelay
Date:			23 July 2007
Author:			Andreas Raab

This change set fixes a set of severe problems with concurrent use of Delay. Previously, many of the delay-internal structures were modified by the calling process which made it susceptible to being terminated in the middle of manipulating these structures and leave Delay (and consequently the entire system) in an inconsistent state.

This change set fixes this problem by moving *all* manipulation of Delay's internal structures out of the calling process. As a side-effect it also removes the requirement of Delays being limited to SmallInteger range; the new code has no limitation on the duration of a delay.

No tests are provided since outside of true asynchronous environments (networks) it is basically impossible to recreate the situation reliably.

=== 1537Translucent-yo.cs ===
Change Set:		Translucent-YO
Date:			27 July 2007
Author:			Ted Kaehler

SketchMorphs that have translucency (0 < alpha < 255) were not blending with the background in drawOn:.  Yoshiki found the fix.

=== 1536PolygonMorph-kfr.cs ===

=== 1535varNameFix-sw.cs ===
Change Set:		varNameFix-sw
Date:			7 August 2007
Author:			Scott Wallace

Do not allow a system player-slot name to be used as a user-defined variable name.

=== 1534fontTweak-sw.cs ===
Change Set:		fontTweak-sw
Date:			22 July 2007
Author:			Scott Wallace

One button label in the all-scripts tool was not being rendered in the standard etoys button font...

Cross-published from Moshi update 2601fontTweak-sw.



=== 1533selectionMorphIssues-sw.cs ===
Change Set:		selectionMorphIssues-sw
Date:			8 August 2007
Author:			Scott Wallace

Assure halo is deleted from an object being deleted, taking care in case in the SelectionMorph case.
Also fixes an occasional error condition encountered in extending the selection of a SelectionMorph.

=== 1532SugarNav13-yo.cs ===
Change Set:		SugarNav13-yo
Date:			28 July 2007
Author:			Yoshiki Ohshima

Update the buttons in the Sugar bar.

Cross-published from olpc2.0 update 1471SugarNav13-yo.



=== 1531noOldSoundRecorder-sw.cs ===
Change Set:		noOldSoundRecorder-sw
Date:			31 July 2007
Author:			Scott Wallace

Again expunge the old SoundRecorder from the Objects Catalog.  And set the new SoundRecorder up properly for translations.

=== 1530gettextDirectory-tak.cs ===
Change Set:		gettextDirectory-tak
Date:			6 August 2007
Author:			Takashi Yamamiya

1) Gettext files are located a structure of:
po/Category/Sub/Category-Sub.pot
po/Category/Sub/de.pot

For example:
po/EToys/EToys.pot
po/EToys/de.po
po/EToys/pt.po
po/Connectors/Connectors.pot
po/Connectors/de.po
po/Connectors/pt.po

2) CRLF is supported.
3) a file name is like en_US.po instead of en-US.po.


=== 1529NebraskaOverMesh-yo.cs ===
Change Set:		NebraskaOverMesh-yo
Date:			2 August 2007
Author:			Yoshiki Ohshima

This might be a wrong way to fix it, but this changeset makes the Nebraska work over olpc mesh.

=== 1528netNameResolverFix-mir.cs ===
Change Set:		netNameResolverFix-mir
Date:			30 July2007
Author:			Michael Rueger



=== 1527useGettextFromArray-tak.cs ===
Change Set:		useGettextFromArray-tak
Date:			30 July 2007
Author:			Takashi Yamamiya

Put #gettextNoop keyword in array literals for making translation templates.

=== 1526gettextFromArray-tak.cs ===
Change Set:		gettextFromArray-tak
Date:			30 July 2007
Author:			Takashi Yamamiya

Aggregate gettext keywords from array literals.

With this change set, you strings in an array can be detected by #translatedNoop keyword.
For example:

#(ignore1 (ignore2 'necessary' translatedNoop))


=== 1525TransExport4-KR.cs ===
Change Set:		TransExport4-KR
Date:			28 July 2007
Author:			Korakurider

To make context information for tile wording/help better

=== 1524suffixArrowFix-sw.cs ===
Change Set:		suffixArrowFix-sw
Date:			29 July 2007
Author:			Scott Wallace

Don't show suffix arrows on tiles that don't do arithmetic.

=== 1523notShowUpdateDir-yo.cs ===
Change Set:		notShowUpdateDir-yo
Date:			27 July 2007
Author:			Yoshiki Ohshima

Hide update directory from the project list.

Cross-published from olpc2.0 update 1470notShowUpdateDir-yo.


=== 1522resumeFix-bf.cs ===
Change Set:		resumeFix-bf
Date:			29 July 2007
Author:			Bert Freudenberg

Cross-published from olpc2.0 update 1469resumeFix-bf.


=== 1521enableScrollingText-sw.cs ===
Change Set:		enableScrollingText-sw
Date:			29 July 2007
Author:			Scott Wallace

Make a scrolling-text item be available in the basic category of the objects catalog.  Perhaps should also be in supplies flap?

=== 1520ScrollingField-width-tk.cs ===
Change Set:		ScrollingField-width-tk
Date:			20 July 2007
Author:			Ted Kaehler

Fixes for ScrollableField
1.  Make TextMorph inside a ScrollableField always track the width of the field.

2.  Add the three font halo handles to ScrollableField's halo so you don't have to drill down to get them.

3.  A new SF has no horizontal scroll bar, but it thinks that it does have one.  Fix this in initialize.

4.  Bordered Text in the Objects Catalog:  It had a transparent background.  Changed this to a white background.  Makes more sense.  If we want to add text with transparency in the catalog, we can, but don't confound it with bordered text with fixed sized bounds
Cross-published from Moshi update 0259ScrollingField-width-tk
.

=== 1519lastOccurrenceFix-sw.cs ===
Change Set:		lastOccurrenceFix-sw
Date:			29 July 2007
Author:			Scott Wallace

Fixes a bug in String>>findLastOccuranceOfString: startingAt:, and corrects the spelling of the selector to be #findLastOccurrenceOfString:startingAt:

Ref:  Mantis Bug 0006579: String>>#findLastOccuranceOfString:startingAt: gives wrong result when substring first=substring last.

=== 1518animatedImageFix-sw.cs ===
Change Set:		animatedImageFix-sw
Date:			28 July 2007
Author:			Scott Wallace

Fix an update problem with animated images; derived from from a fix posted to Mantis by Jerome Peace.

=== 1517gettextNoopConflicts-sw.cs ===
Change Set:		gettextNoopConflicts-sw
Date:			29 July 2007
Author:			Scott Wallace

Fixes a few conflicts between update 1512useGettextNoop and other recent updates:
* again fixes a few typos (1505uers-sw) 
* again removes a couple of items from the objects catalog (1506noStackMorph-sw and Moshi update 0260noEToyListener-sw)

=== 1516ITNPosOption-yo.cs ===
Change Set:		Unnamed
Date:			9 July 2007
Author:			Yoshiki Ohshima

Add a menu item to set the prefered position of navigator.

=== 1515fixEmbedInWindow-yo.cs ===
Change Set:		fixEmbedInWindow-yo
Date:			17 July 2007
Author:			Yoshiki Ohshima

We decided to take out 'put in a window' feature, but it is nice to make it work anyway.

=== 1514avoidScreenCtlr-yo.cs ===
Change Set:		avoidScreenCtlr-yo
Date:			27 July 2007
Author:			Yoshiki Ohshima

Morphic World menu shouldn't hold onto ScreenController instance.

=== 1513relBuilderFix-21-yo.cs ===
Change Set:		relBuilderFix-2.1-yo
Date:			26 July 2007
Author:			Yoshiki Ohshima

Make sure that change set is cleared.

=== 1512useGettextNoop-tak.cs ===
Change Set:		useGettextNoop-tak
Date:			24 July 2007
Author:			Takashi Yamamiya

A lot of fix to apply #translatedNoop


=== 1511gettextNoopSupport-tak.cs ===
Change Set:		gettextNoopSupport-tak
Date:			24 July 2007
Author:			Takashi Yamamiya

Detect receiver of #translatedNoop to use keywords.
#translatedNoop is same as gettext_noop() in gettext
http://www.gnu.org/software/gettext/manual/html_node/Special-cases.html#Special-cases

GetTextExporter2 new exportTemplate.

You can verify how the gettext exporter works well with:
GetTextExporter2 verifyExport.
After evaluate this expression, change the language to 'dst'


=== 1510soundRecorderViewer-sw.cs ===
Change Set:		soundRecorderViewer-sw
Date:			25 July 2007
Author:			Scott Wallace

Adds control over record, stop, and play buttons of a sound recorder via new tiles in its viewer.

Cross-published from Moshi update 0272soundRecorderViewer-sw.


=== 1509soundRecorder-sw.cs ===
Change Set:		soundRecorder-sw
Date:			25 July 2007
Author:			Scott Wallace

A simplified UI for John Maloney's SoundRecorder.  

Defines RecordingControls, which mirrors John's original RecordingControlsMorph, and AnonymousSoundMorph, which mirrors John's SoundEventMorph.  The original RecordingControlsMorph and SoundEventMorph are still in the image, but it's the new-style RecordingControls that is obtained through the normal ui.

(If you want to get a 'classic' sound-recorder, you can still do so from the 'new morph' alphabetical menu, or else evaluate 'RecordingControlsMorph open'.)

Functionally, the new RecordingControls tool is nearly identical to the old RecordingControlsMorph, but the buttons are reduced, renamed, and rearranged, a menu button is added, and many small details of UI attended to.

The new AnonymousSoundMorph is the counterpart of what you would get from the 'Morph' button in the original SoundRecorder, and is intended for the same purposes, namely to drop into a piano-roll or an event-roll.  It is basically a container holding a recorded but *unnamed* sound.  A double-oclick on such an object will *play* its sound (a further click will silence that playbck).

Its menu allows you also later to change your mind and name the sound, thus putting it in the sound library and making it sharable.

Cross-published from Moshi update 0271soundRecorder-sw.


=== 1508flapsOnLanguageChg-sw.cs ===
Change Set:		flapsOnLanguageChg--sw
Date:			20 July 2007
Author:			Scott Wallace

Let the sugarNavigator preference dominate over the eToyFriendly flag in determining which flaps to put up after a langauge change:
*  If sugarNavigator is true, put up the sugar flaps.
*  If sugarNavigator is false, then put up either
	- developer's flaps, i.e. Tools, Widgets, etc., if eToyFriendly is false
	- 'classic' etoy flaps (a la Squeakland) if eToyFriendly is true.
*  If user has destroyed existing flaps, the flaps menu offers all three alternatives for fresh flap installation.

Cross-published from moshi update 0258flapsOnLanguageChg-sw.



=== 1507magnifiers-sw.cs ===
Change Set:		magnifiers-sw
Date:			20 July 2007
Author:			Scott Wallace

Only offer a single magnifier in the objects catalog.
Expose three magnifier options in etoy Viewers.

Cross-published from moshi update 0257magnifiers-sw.



=== 1506noStackMorph-sw.cs ===
Change Set:		noStackMorph-sw
Date:			20 July 2007
Author:			Scott Wallace

As agreed at conference call 19July07, disenfranchise the StackMorph.

Cross-published from moshi update 0255noStackMorph-sw



=== 1505uers-sw.cs ===
Change Set:		uers-sw
Date:			20 July 2007
Author:			Scott Wallace

Fixes four methods that had the same 'uers' misspelling of 'users.

Cross-published from moshi update 0254uers-sw.

'

=== 1504viewerSearchAgain-sw.cs ===
Change Set:		viewerSearchAgain-sw
Date:			19 July 2007
Author:			Scott Wallace

Eliminate all non-letters from the string processing associated with Viewer Search.

Cross-published from moshi update 0253viewerSearchAgain-sw.



=== 1503barePlayerlessPhrase-sw.cs ===
Change Set:		barePlayerlessPhrase-sw
Date:			18 July 2007
Author:			Scott Wallace

Treat bare playerless phrases on the desktop like all others.

Cross-published from moshi update 0251barePlayerlessPhrase-sw.



=== 1502lessENotation-sw.cs ===
Change Set:		lessENotation-sw
Date:			18 July 2007
Author:			Scott Wallace

Improvements for printout of numeric values in etoy readouts:

*  Integer values up to fifteen digts long are fully printed in conventional notation.
*  Floats also are conventionally printed unless *very* large or *very* close to 0.

In practice, this should reduce reduce the occurrence of e-notation in etoy readouts to practically nil, except where extreme values are intentionally being played with..

Cross-published from Moshi update 0249lessENotation-sw.


=== 1501moribundWatcher-sw.cs ===
Change Set:		moribundWatcher-sw
Date:			18 July 2007
Author:			Scott Wallace

When a user removes an inst var from a player, get rid of problematical watchers of that variable that may be lingering.

Cross-published from Moshi update 0248moribundWatcher-sw

=== 1500gapFiller1500.cs ===


=== 1499gapFiller1499.cs ===


=== 1498gapFiller1498.cs ===


=== 1497gapFiller1497.cs ===


=== 1496gapFiller1496.cs ===


=== 1495gapFiller1495.cs ===


=== 1494gapFiller1494.cs ===


=== 1493gapFiller1493.cs ===


=== 1492gapFiller1492.cs ===


=== 1491gapFiller1491.cs ===


=== 1490gapFiller1490.cs ===


=== 1488gapFiller1488.cs ===


=== 1487gapFiller1487.cs ===


=== 1486gapFiller1486.cs ===


=== 1485gapFiller1485.cs ===


=== 1484gapFiller1484.cs ===


=== 1483gapFiller1483.cs ===


=== 1482gapFiller1482.cs ===


=== 1481gapFiller1481.cs ===


=== 1480gapFiller1480.cs ===


=== 1479gapFiller1479.cs ===


=== 1478gapFiller1478.cs ===


=== 1477gapFiller1477.cs ===


=== 1476gapFiller1476.cs ===


=== 1475gapFiller1475.cs ===


=== 1474gapFiller1474.cs ===


=== 1473gapFiller1473.cs ===


=== 1472gapFiller1472.cs ===


=== 1471gapFiller1471.cs ===


=== 1470gapFiller1470.cs ===


=== 1469gapFiller1469.cs ===

